Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class Atom1

    java.lang.Object
      jprotein.data.datatype.Atom1

    public class Atom1

extends java.lang.Object

Constructor Summary
`Atom1(java.lang.String symbol, javax.vecmath.Point3f coord)`

Method Summary
`float` | `distance(Atom atom)`
`float` | `distance(javax.vecmath.Point3f point)`
`float` | `distance(Residue3D residue)`
`double` | `getAtomAccessibleSurfaceArea()`
`int` | `getAtomIndex()`
`static int` | `getAtomIndex(char symbol)`
`double` | `getAtomSurfaceArea()`
`javax.vecmath.Point3f` | `getCoordinates()`
`java.lang.String` | `getName()`
`double` | `getPercentAccessibility()`
`javax.vecmath.Point3f` | `getProjection(int i)`
`float` | `getRadius()`
`static float` | `getRadius(char symbol)`
`char` | `getSymbol()`
`void` | `initAccess()`
`boolean` | `isAccessible(int i)`
`boolean` | `isSideChainAtom()`
`void` | `setAccessibility(Atom atom)`
`void` | `setAccessibility(Atom atom, float probeRadius)`
`void` | `setAccessibility(Atom atom, float probeRadius, float noise)`
`void` | `setAccessible(boolean b, int i)`
`void` | `setCoordinates(javax.vecmath.Point3f coord)`
`void` | `setName(java.lang.String name)`
`void` | `setSymbol(char symbol)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Atom1

    public Atom1(java.lang.String symbol,
                 javax.vecmath.Point3f coord)

Method Detail

### getAtomIndex

    public static int getAtomIndex(char symbol)

### getAtomIndex

    public int getAtomIndex()

### getCoordinates

    public javax.vecmath.Point3f getCoordinates()

### setCoordinates

    public void setCoordinates(javax.vecmath.Point3f coord)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRadius

    public static float getRadius(char symbol)

### getRadius

    public float getRadius()

### getSymbol

    public char getSymbol()

### setSymbol

    public void setSymbol(char symbol)

### isSideChainAtom

    public boolean isSideChainAtom()

### distance

    public float distance(Atom atom)

### distance

    public float distance(Residue3D residue)

### distance

    public float distance(javax.vecmath.Point3f point)

### getPercentAccessibility

    public double getPercentAccessibility()

### getAtomSurfaceArea

    public double getAtomSurfaceArea()

### getAtomAccessibleSurfaceArea

    public double getAtomAccessibleSurfaceArea()

### setAccessibility

    public void setAccessibility(Atom atom)

### setAccessibility

    public void setAccessibility(Atom atom,
                                 float probeRadius)

### setAccessibility

    public void setAccessibility(Atom atom,
                                 float probeRadius,
                                 float noise)

### setAccessible

    public void setAccessible(boolean b,
                              int i)

### isAccessible

    public boolean isAccessible(int i)

### initAccess

    public void initAccess()

### getProjection

    public javax.vecmath.Point3f getProjection(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD